Apache Tomcat 6.0.53

## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  ApacheConfig, AprLifecycleListener, BaseJkConfig, CometConnectionManagerValve, ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HostConfig, IISConfig, JasperListener, JmxRemoteLifecycleListener, JreMemoryLeakPreventionListener, NamingContextListener, NSConfig, ReplicatedContext, ServerLifecycleListener, SimpleTcpCluster, StandardEngine.AccessLogListener, TldConfig, UserConfig

    public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Author:
  Craig R. McClanahan

Method Summary
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.